The BOOST_PP_TUPLE_REM macro expands to a macro that removes the parentheses from a tuple.

#### Usage

BOOST_PP_TUPLE_REM(size)
or
BOOST_PP_TUPLE_REM(size) (v)

#### Arguments

size
  The size of the tuple from which the parentheses are to be removed. Valid tuple sizes range from 1 to BOOST_PP_LIMIT_TUPLE.

#### Remarks

The size argument must be the actual size of the tuple in the non-variadic version.
For the variadic version (v) the size may be left out completely so that the macro can be invoked as BOOST_PP_TUPLE_REM(); you may get a warning from some compilers, but the functionality will still work. If you specify a size in the variadic version, it will be ignored, but the warning from some compilers will not occur.
Note: For Visual C++ 8.0 ( Visual Studio 2005 ) you must specify the correct size argument as in the non-variadic version.

#### See Also

- BOOST_PP_LIMIT_TUPLE

#### Requirements

Header: <boost/preprocessor/tuple/rem.hpp>

#### Sample Code

    #include <boost/preprocessor/tuple/rem.hpp>

    BOOST_PP_TUPLE_REM(3)(x, y, z) // expands to x, y, z

    // or for the variadic version (v)

    BOOST_PP_TUPLE_REM()(x, y, z) // expands to x, y, z

© Copyright Housemarque Oy 2002
© Copyright Paul Mensonides 2002
© Copyright Edward Diener 2011,2013

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)